---
title: Document.doctype
slug: Web/API/Document/doctype
tags:
  - API
  - DOM
  - Document
  - Property
  - Reference
---
<div>{{ApiRef("DOM")}}</div>

<p>Returns the Document Type Declaration (DTD) associated with current document. The returned object implements the {{domxref("DocumentType")}} interface. Use {{domxref("DOMImplementation.createDocumentType()")}} to create a <code>DocumentType</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>doctype</var> = <var>document</var>.doctype;
</pre>

<ul>
 <li><code>doctype</code> is a read-only property.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">var doctypeObj = document.doctype;

console.log(
  "doctypeObj.name: "           + doctypeObj.name            + "\n" +
  "doctypeObj.internalSubset: " + doctypeObj.internalSubset  + "\n" +
  "doctypeObj.publicId: "       + doctypeObj.publicId        + "\n" +
  "doctypeObj.systemId: "       + doctypeObj.systemId
);</pre>

<h2 id="Notes">Notes</h2>

<p>The property returns <code>null</code> if there is no DTD associated with the current document.</p>

<p>DOM level 2 doesn't support editing the document type declaration.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-doctype', 'Document: doctype')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility"> Browser compatibility</h2>

<p>{{Compat("api.Document.doctype")}}</p>
